### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartlite_sinit.c File Reference

## Detailed Description

The implementation of the XUartLite component's static initialzation functionality.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.01a jvb  10/13/05 First release

## Functions

int | XUartLite_Initialize (XUartLite *InstancePtr, u16 DeviceId)

## Function Documentation

int XUartLite_Initialize | ( | XUartLite * | InstancePtr,
|  | u16 | DeviceId
| ) |

Initialize a XUartLite instance. The receive and transmit FIFOs of the UART are not flushed, so the user may want to flush them. The hardware device does not have any way to disable the receiver such that any valid data may be present in the receive FIFO. This function disables the UART interrupt. The baudrate and format of the data are fixed in the hardware at hardware build time.

Parameters:

  | InstancePtr | is a pointer to the XUartLite instance.
  | DeviceId | is the unique id of the device controlled by this XUartLite instance. Passing in a device id associates the generic XUartLite instance to a specific device, as chosen by the caller or application developer.

Returns:
  - XST_SUCCESS if everything starts up as expected.
  - XST_DEVICE_NOT_FOUND if the device is not found in the configuration table.

Note:
  None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.